Version 4.0.26.22 (latest)

### Search users

Returns all^\*^ user records that match the given search criteria.

If multiple search params are given and `filter_or` is FALSE or not specified,
search params are combined in a logical AND operation.
Only rows that match *all* search param criteria will be returned.

If `filter_or` is TRUE, multiple search params are combined in a logical OR operation.
Results will include rows that match **any** of the search criteria.

String search params use case-insensitive matching.
String search params can contain `%` and '_' as SQL LIKE pattern match wildcard expressions.
example="dan%" will match "danger" and "Danzig" but not "David"
example="D_m%" will match "Damage" and "dump"

Integer search params can accept a single value or a comma separated list of values. The multiple
values will be combined under a logical OR operation - results will match at least one of
the given values.

Most search params can accept "IS NULL" and "NOT NULL" as special expressions to match
or exclude (respectively) rows where the column is null.

Boolean search params accept only "true" and "false" as values.

(^\*^) Results are always filtered to the level of information the caller is permitted to view.
Looker admins can see all user details; normal users in an open system can see
names of other users but no details; normal users in a closed system can only see
names of other users who are members of the same group as the user.

## Request

GET /users/search Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... fields string Include only these fields in the response page integer DEPRECATED. Use limit and offset instead. Return only page N of paginated results per_page integer DEPRECATED. Use limit and offset instead. Return N rows of data per page limit integer Number of results to return. (used with offset and takes priority over page and per_page) offset integer Number of results to skip before returning any. (used with limit and takes priority over page and per_page) sorts string Fields to sort by. id string Match User Id. first_name string Match First name. last_name string Match Last name. full_name string Match Full name (First Last). verified_looker_employee boolean Search for user accounts associated with Looker employees. Availability of this filter is limited to users with permission to view complete user details. embed_user boolean Search for only embed users email string Search for the user with this email address. Availability of this filter is limited to users with permission to view complete user details. is_disabled boolean Search for disabled user accounts. Availability of this filter is limited to users with permission to view complete user details. filter_or boolean Combine given search criteria in a boolean OR expression content_metadata_id string Search for users who have access to this content_metadata item group_id string Search for users who are direct members of this group can_manage_api3_creds boolean Search for users who can manage API3 credentials. Availability of this filter is limited to users with permission to view complete user details. This is an experimental feature and may not yet be available on your instance. is_service_account boolean Search for service account users. Send true to get only service accounts, or false to get all other types of users.

## Response

### 200: Matching users.

Datatype Description (array) [User](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/User)\[\] can object Operations the current user is able to perform on this object abilities object Evaluated abilities and permissions for UI capability gating. The abilities property is not returned by default. Please explicitly request this attribute if needed via the fields query param. avatar_url string URL for the avatar image (may be generic) avatar_url_without_sizing string URL for the avatar image (may be generic), does not specify size credentials_api3 [CredentialsApi3](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsApi3)\[\] Expand CredentialsApi3 definition... can object Operations the current user is able to perform on this object id string Unique Id client_id string API key client_id created_at string Timestamp for the creation of this credential is_disabled boolean Has this credential been disabled? type string Short name for the type of this kind of credential purpose string User defined purpose for this credential. url string Link to get this item credentials_email [CredentialsEmail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsEmail) Email/Password login credentials Expand CredentialsEmail definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential email string EMail address used for user login forced_password_reset_at_next_login boolean Force the user to change their password upon their next login user_id string Unique Id of the user is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential password_reset_url string Url with one-time use secret token that the user can use to reset password account_setup_url string Url with one-time use secret token that the user can use to setup account password_reset_url_expired boolean Is password_reset_url expired or not present? account_setup_url_expired boolean Is account_setup_url expired or not present? type string Short name for the type of this kind of credential url string Link to get this item user_url string Link to get this user credentials_embed [CredentialsEmbed](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsEmbed)\[\] Expand CredentialsEmbed definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential external_group_id string Embedder's id for a group to which this user was added during the most recent login external_user_id string Embedder's unique id for the user id string Unique Id is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential type string Short name for the type of this kind of credential url string Link to get this item credentials_google [CredentialsGoogle](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsGoogle) Google auth credentials Expand CredentialsGoogle definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential domain string Google domain email string EMail address google_user_id string Google's Unique ID for this user is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential type string Short name for the type of this kind of credential url string Link to get this item credentials_ldap [CredentialsLDAP](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsLDAP) LDAP credentials Expand CredentialsLDAP definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential email string EMail address is_disabled boolean Has this credential been disabled? ldap_dn string LDAP Distinguished name for this user (as-of the last login) ldap_id string LDAP Unique ID for this user logged_in_at string Timestamp for most recent login using credential type string Short name for the type of this kind of credential url string Link to get this item credentials_looker_openid [CredentialsLookerOpenid](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsLookerOpenid) LookerOpenID credentials. Used for login by Looker Analysts Expand CredentialsLookerOpenid definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential email string EMail address used for user login is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential logged_in_ip string IP address of client for most recent login using credential type string Short name for the type of this kind of credential url string Link to get this item user_url string Link to get this user credentials_oidc [CredentialsOIDC](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsOIDC) OpenID Connect auth credentials Expand CredentialsOIDC definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential email string EMail address is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential oidc_user_id string OIDC OP's Unique ID for this user type string Short name for the type of this kind of credential url string Link to get this item credentials_saml [CredentialsSaml](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsSaml) Saml auth credentials Expand CredentialsSaml definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential email string EMail address is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential saml_user_id string Saml IdP's Unique ID for this user type string Short name for the type of this kind of credential url string Link to get this item credentials_totp [CredentialsTotp](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsTotp) Two-factor credentials Expand CredentialsTotp definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential is_disabled boolean Has this credential been disabled? type string Short name for the type of this kind of credential verified boolean User has verified url string Link to get this item credentials_workforce [CredentialsWorkforce](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/CredentialsWorkforce) Workforce Identity auth credentials Expand CredentialsWorkforce definition... can object Operations the current user is able to perform on this object created_at string Timestamp for the creation of this credential email string Email address is_disabled boolean Has this credential been disabled? logged_in_at string Timestamp for most recent login using credential workforce_user_id string Workforce Unique ID for this user type string Short name for the type of this kind of credential url string Link to get this item display_name string Full name for display (available only if both first_name and last_name are set) email string EMail address embed_group_space_id string (DEPRECATED) (Embed only) ID of user's group space based on the external_group_id optionally specified during embed user login first_name string First name group_ids string\[\] home_folder_id string ID string for user's home folder id string Unique Id is_disabled boolean Account has been disabled last_name string Last name locale string User's preferred locale. User locale takes precedence over Looker's system-wide default locale. Locale determines language of display strings and date and numeric formatting in API responses. Locale string must be a 2 letter language code or a combination of language code and region code: 'en' or 'en-US', for example. looker_versions string\[\] models_dir_validated boolean User's dev workspace has been checked for presence of applicable production projects personal_folder_id string ID of user's personal folder presumed_looker_employee boolean (DEPRECATED) User is identified as an employee of Looker role_ids string\[\] sessions [Session](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Session)\[\] Expand Session definition... can object Operations the current user is able to perform on this object id string Unique Id ip_address string IP address of user when this session was initiated browser string User's browser type operating_system string User's Operating System city string City component of user location (derived from IP address) state string State component of user location (derived from IP address) country string Country component of user location (derived from IP address) credentials_type string Type of credentials used for logging in this session extended_at string Time when this session was last extended by the user extended_count integer Number of times this session was extended sudo_user_id string Actual user in the case when this session represents one user sudo'ing as another created_at string Time when this session was initiated expires_at string Time when this session will expire url string Link to get this item ui_state object Per user dictionary of undocumented state information owned by the Looker UI. verified_looker_employee boolean User is identified as an employee of Looker who has been verified via Looker corporate authentication roles_externally_managed boolean User's roles are managed by an external directory like SAML or LDAP and can not be changed directly. allow_direct_roles boolean User can be directly assigned a role. allow_normal_group_membership boolean User can be a direct member of a normal Looker group. allow_roles_from_normal_groups boolean User can inherit roles from a normal Looker group. embed_group_folder_id string (Embed only) ID of user's group folder based on the external_group_id optionally specified during embed user login is_iam_admin boolean User is an IAM Admin. This field may only be applicable for \[Looker (Google Cloud core)\](https://docs.cloud.google.com/looker/docs/r/looker-core/overview). The is_iam_admin is not returned by default. Please explicitly request this attribute if needed via the fields query param. Note: Including the optional is_iam_admin attribute can increase API latency. For best performance, use this attribute only when filtering for users with the 'Admin via IAM' role. When using this filter, always paginate your results with the offset and limit fields to optimize response time. can_manage_api3_creds boolean Indicates if the user can manage API3 credentials. This is an experimental feature and may not yet be available on your instance. is_service_account boolean Indicates if this user is a service account. service_account_name string The display name of the service account. This field is omitted for non service account users. is_embed_user boolean Indicates if this user is an embed user. url string Link to get this item

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Python


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/add_users_to_group_from_csv.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/add_users_to_group_from_csv.py#L30 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/add_users_to_group_from_csv.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-user-provision/main.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-user-provision/main.py#L87 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/cloud-function-user-provision/main.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/disable_users_by_email.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/disable_users_by_email.py#L34 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/disable_users_by_email.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/transfer_all_schedules.py](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/transfer_all_schedules.py#L23 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/python/transfer_all_schedules.py") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py](https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py#L171 "https://github.com/looker-open-source/sdk-codegen/blob/main/python/tests/integration/test_methods.py") |

### TypeScript


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/typescript/sudoAsUser.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/typescript/sudoAsUser.ts#L57 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/typescript/sudoAsUser.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/hackathon/src/models/Hacker.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/hackathon/src/models/Hacker.ts#L269 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/hackathon/src/models/Hacker.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L153 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L158 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L196 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L200 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L516 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L144 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L149 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L187 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L191 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L484 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |

### Kotlin


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestSmoke.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestSmoke.kt#L17 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestSmoke.kt") |

### Swift


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift#L63 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift#L93 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift") |